%define fname gdgeda
%define name lib%{fname}
%define version 2.0.15
%define release 1mdk

%define major 6
%define libname %mklibname %fname %major

Summary: 	Graphical libraries for the gEDA project
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source:		%{name}-%{version}.tar.bz2
Url:		http://www.geda.seul.org
License:	LGPL 
Group: 		Sciences/Other
BuildRoot:    	%{_tmppath}/%{name}-buildroot
BuildRequires:  zlib >= 1.1
BuildRequires:  libpng >= 1.0

%description
Libgdgeda is a hack on libgd, which is a graphics library.  It allows your
code to quickly draw images complete with lines, arcs, text, multiple
colors, cut and paste from other images, and flood fills, and write out
the result as a .PNG file.

%package -n %libname
Summary:        Graphical libraries for the gEDA project
Group:          Sciences/Other
Obsoletes:	libgdgeda
Provides: 	libgdgeda = %version-%release

%description -n %libname
Libgdgeda is a hack on libgd, which is a graphics library.  It allows your
code to quickly draw images complete with lines, arcs, text, multiple
colors, cut and paste from other images, and flood fills, and write out
the result as a .PNG file.

%package -n %libname-devel
Summary:	Graphical development libraries for the gEDA project
Group:		Development/C
Obsoletes: libgdgeda-devel
Provides: libgdgeda-devel = %version-%release
Requires: %libname = %version-%release

%description -n %libname-devel
This package contains libgdgeda header files that are needed for
development.
Libgdgeda is a hack on libgd, which is a graphics library. It allows your
code to quickly draw images complete with lines, arcs, text, multiple
colors, cut and paste from other images, and flood fills, and write out
the result as a .PNG file.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%configure
%make

%install
%makeinstall
./libtool --finish $RPM_BUILD_ROOT/%{_libdir}

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -Rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root)
%doc COPYING README.1ST README.TXT
%{_libdir}/libgdgeda.so.%major
%{_libdir}/libgdgeda.so.%{major}.0.0

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/%{name}.pc
%{_bindir}/libgdgeda-config
%{_libdir}/libgdgeda.so
%{_libdir}/libgdgeda.a
%{_libdir}/libgdgeda.la
%dir %{_includedir}/gdgeda
%{_includedir}/gdgeda/*

%changelog
* Fri Sep 05 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.0.15-1mdk
- 2.0.15
 
* Mon Apr 14 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.8-6mdk
- fix provides (thx titi)

* Fri Apr 11 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.8-5mdk
- s/=/-/ between version and release

* Fri Apr 11 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.8-4mdk
- use %%mklibname
- cleanup

* Tue Jul 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.8-3mdk
- rebuild

* Sat Mar 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.8-2mdk
- rebuild
- suppress zero length files

* Tue Mar 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.8-1mdk
- updated by Michael Brown <mbrown@linux-mandrake.com> :
	- Up to 1.8
	- Added buildRequires: for zlib and libpng in accordance with
  	instructions.
	- Updated files-doc list
	- Library major version now up to 4

* Fri Sep 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.6-2mdk
- bzip2 archive
- BM
- macros

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6-1mdk
- first mdk spec
